package com.gic.cloud.service.outer.impl;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dao.mapper.EnterprisePortraitRelMapper;
import com.gic.cloud.dto.EnterprisePortraitRelDTO;
import com.gic.cloud.service.EnterprisePortraitRelApiService;
import com.gic.commons.util.EntityUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Optional;

@Service("enterprisePortraitRelApiService")
public class EnterprisePortraitRelApiServiceImpl implements EnterprisePortraitRelApiService{
    @Autowired
    private EnterprisePortraitRelMapper enterprisePortraitRelMapper;

    @Override
    public ServiceResponse<List<EnterprisePortraitRelDTO>> listPortraitField(Integer enterpriseId) {
        return ServiceResponse.success(Optional.ofNullable(EntityUtil.changeEntityListNew(EnterprisePortraitRelDTO.class,
                enterprisePortraitRelMapper.listPortraitField(enterpriseId))).orElse(Collections.emptyList()));
    }
}
