package com.gic.cloud.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.cloud.dto.EnterprisePortraitRelDTO;

import java.util.List;

public interface EnterprisePortraitRelApiService {

    /**
     * 查询会员画像字段列表
     * @Title: listPortraitField 
     * @Description:
     * @author guojuxing
     * @param enterpriseId 
     * @return  com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.cloud.dto.EnterprisePortraitRelDTO>> 
     */
    ServiceResponse<List<EnterprisePortraitRelDTO>> listPortraitField(Integer enterpriseId);

    /**
     * 批量新增
     * @Title: insertForeach 
     * @Description:
     * @author guojuxing
     * @param list 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Void> 
     */
    ServiceResponse<Void> insertForeach(List<EnterprisePortraitRelDTO> list);
}
